<?php 
session_start();
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 
include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);
if(empty($user_codigo)){include('user_login0.php');return;}

// echo '<meta http-equiv="refresh" content="5">';
// $clie=$enti;
// $enti='';
$item='';

$cant=0;
$puni=0;
$modu='vtas';
// $info='vtdeta';

if(empty($format)){$format=1;}

if($format==1){$info='vtdeta';}
if($format==2){$info='vtdeta';}
if($format==3){$info='vtblog';}

// if(empty($info)){$info='vtblog';}
// else{$info='vtdeta';}

$info_descri='VENTAS';

if($info=='vtblog'){$info_descri='PTO.EMISION';}

if(empty($user0['user_tipo'])){$cost='false';}

// if(mb_stristr('sist.supe',$user0['user_tipo'])){$cost='true';}

if(!mb_stristr('sist.supe',$user0['user_tipo']))
{
     $sql_acce='select * from acce1 left join acce2 on idnum1=idnum2 where numero='.$user_codigo.' and docum="COST" and info=1';
     $res_acce=msql_query($sql_acce,$link_data);
     if(msql_num_rows($res_acce)==0){$cost='false';}
}

if(empty($docu)){$docu='FC10';}


$docu0=data_maes('docu',$docu);
$enti0=data_maes('enti',$enti);
$item0=data_maes('item',$item);
// $ctas0=data_maes('ctas',$ctas);
$lsub0=data_maes('lsub',$lsub);
$ptov0=data_maes('ptov',$ptov);
// $csub0=data_maes('csub',$csub);
$lote0=data_maes('lote',$lote);

// $sql_tbod='select distinct ptov_tipo from ptov0 where ptov_status not in("I","X") and ptov_tipo!="" and ptov_tipo is not null';
// $res_tbod=msql_query($sql_tbod,$link_data);
// if(msql_num_rows($res_tbod)>1){$tbod_ok=1;}

$sql_imgi='select * from item0 left join imgi0 on item_codigo=imgi_item where item_status not in ("I","X") and imgi_status not in("I","X") limit 1';
$res_imgi=msql_query($sql_imgi,$link_data);
if(msql_num_rows($res_imgi)!=0){$imgi_ok=1;}

$sql_mrca='select * from mrca0 where mrca_status not in("I","X") limit 1';
$res_mrca=msql_query($sql_mrca,$link_data);
if(msql_num_rows($res_mrca)!=0){$mrca_ok=1;}

$sql_lote='select * from lote0 where lote_status not in("I","X") limit 1';
$res_lote=msql_query($sql_lote,$link_data);
if(msql_num_rows($res_lote)!=0){$lote_ok=1;}

// $maes=strtolower($maes);
$modu=strtolower($modu);
$tabla=$modu;

if(@mb_stristr('clie.prov.empl',$modu)){$tabla='enti';}
if(@mb_stristr('inve.prec.teki',$modu)){$tabla='item';}

$modu=strtolower($modu);  
$xtitulo='VENTAS';
if($modu=='vtas'){$xtitulo='VENTAS';}

$xtitle='REG.VENTAS';
$xtopcenter=$xtitle;

$fecha0=fecha0($modu);
if(empty($fecha)){$fecha=date('Y-m-d');}
// $fecha1=date('Y-m-01', strtotime($fecha));
// $fecha2=date('Y-m-t', strtotime($fecha));

$fecha_min=date('Y-m-d',strtotime('-7 days'));
if(empty($fecha1))
{$fecha1=date('Y-m-d',strtotime('-7 days'));}
if(empty($fecha2))
{$fecha2=date('Y-m-d');}

$dom = new DOMDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->formatOutput = true;

//      $src='//'.$domain.'/_lib/info_modu.js'.$js_version;
//      $script=$dom->appendChild($dom->createElement("script"," "));
//      $script->setAttribute("src",$src);
echo $dom->saveXML();



// echo '*/*/*/*/';
// echo sal_item2('20109837');
     
//  SELECT DB
if(!empty($ptov))
{include('sele_info.php');}

if(!empty($sql_info))
{
//      $sql_info=str_replace('order by ','order by idnum1 desc, iddet desc, ',$sql_info);
     $sql_info=str_replace('order by ','order by fecha desc, idnum1 desc, iddet desc, ',$sql_info);
//      $sql_info=str_replace('order by idnum1,iddet ','order by idnum1 desc, iddet desc ',$sql_info);
     $sql_info.=' limit 100';
//      echo '*/*/*    '.$sql_info;
     $res_info=msql_query($sql_info,$link_data);
     if(msql_num_rows($res_info)==0)
     {
          if($fecha1!=$fecha2)
          {
               $sql_info=str_replace($fecha1,$fecha0,$sql_info);
//                $sql_info.=' limit 100';
               $res_info=msql_query($sql_info,$link_data);
          }
     }
     $msgres=number_format(msql_num_rows($res_info)).' Resultado(s)...';
}


// PANTALLA FILTROS
echo '<div id="filtros" noprint >';
{
// OCULTOS
// echo '<input id="format" hide value="'.$format.'">';
// echo '<input id="limit" hide value="'.$limit.'">';
echo '<input id="info" hide value="'.$info.'">';
echo '<input id="fecha1" hide value="'.$fecha1.'">';
echo '<input id="fecha2" hide value="'.$fecha2.'">';
     
// {$ztitulo='FILTROS'; include('ele_title.php');}
// {$ztitulo='INVENTARIOS'; include('ele_title.php');}

// $ztabla='ctas';
// include('ele_datalist.php');
     
$ztabla='enti';
{$zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from vtas1) or left(enti_codigo,10) in(select distinct left(enti,10) from comp1))';}
include('ele_datalist.php');
     
$ztabla='item';
include('ele_datalist.php');
     
$ztabla='lote';
include('ele_datalist.php');
     
$ztabla='docu';
$zwhere='(docu_tabla="vtas")';
include('ele_datalist.php');

$zobj=2;     
include('ele_break.php');

     
     
$zid='ptov';
$ztabla='ptov';
$zlabel='Pto.Vta.';
$zvalue=$ptov; 
if(!empty($ptov)){$zreado=1;}
$zondblclick='{document.getElementById("ptov").removeAttribute("disabled");}';     
$zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&ptov="+document.getElementById("ptov").value;}';
$zonchange=$zonblur;
include('ele_select.php');
     
// $zid='info';
// $zlabel='Informe';
// $zvalue=$info;
     
$zid='fecha';
$ztype='date';
$zlabel='Fecha';
$zvalue=$fecha;
$zmin=$fecha_min;     
$zmax=$fecha2;     
$zhide=1;     
// $zdefa=$fecha0;     
include('ele_input.php');  
     
// $zid='fecha1';
// $ztype='date';
// $zlabel='Fecha';
// $zvalue=$fecha;
// $zdefa=$fecha0;     
// include('ele_input.php');  
          
// $zid='fecha2';
// $ztype='date';
// $zlabel='Fec.Fin';
// $zvalue=$fecha2;     
// include('ele_input.php');  

$zid='btn_consul'; 
$zlabel='Consultar';
$zalign='right';
$zonclick='{document.getElementById("fecha1").value="";document.getElementById("fecha2").value="";info_modu(event);}';
// $zhide=1;     
include('ele_button.php');

echo '<span style="float:right; white-space:nowrap;">';     
// echo $msgres;
echo '</span>';     
     
if(!empty($ptov))
{
     
// $zobj=2;     
// include('ele_break.php');

     
//if(@mb_stristr('vtas',$modu))
{
     $zid='docu';
     $zlabel='Docum.';
     $zvalue=$docu;
     $ztabla='docu';
     $zwhere='(docu_tabla="vtas")';
     include('ele_select.php');


//      $zid='numero';
//      $zlabel='Numero';
//      $zvalue=$numero;
//      $zwidth=6;
//      $zclass='numeric-int';
//      include('ele_input.php');
     
     
     $zobj=1;
     include('ele_break.php');
     
     $zid='enti';
     $zlabel='Cliente';
     $zvalue=$enti;
     $ztabla='enti';
//      $zobj=4;
     include('ele_input.php');
     
     $zid='nombre';
     $zlabel='Nombre';
     $zvalue=$nombre;
//      $zwidth=15;
     include('ele_input.php');
     
     $zid='email';
     $zlabel='e-mail';
     $zvalue=$email;
//      $zwidth=10;
     include('ele_input.php');
     
     $zid='wsapp';
     $zlabel='wsapp';
     $zvalue=$wsapp;
     $ztype='number';
//      $zwidth=10;
     include('ele_input.php');
     
     
     

     $zobj=2;
     include('ele_break.php');
     
     
     $zid='item';
     $zlabel='Item';
     $zvalue=$item;
     $ztabla='item';
     $zopen=0;
     include('ele_input.php');
     
     $zid='cant';
     $zlabel='Cant.';
     $zvalue=$cant;
     $zdefa=1;
     $zmin=0;
     $zmax=999999;
//      $zmaxlen=7;
     $zwidth=5;
     $zclass='numeric-dec';
     include('ele_input.php');


//      if($cost=='true')
     {
     $zid='puni';
     $zlabel='P.Unit';
     $zvalue=$puni;
     $zwidth=6 ;
     $zclass='numeric-dec';
     include('ele_input.php');
     }
     
     if($lote_ok==1)
     {
//           $zid='lote';
//           $zlabel='Lote';
//           $zvalue=$lote;
//           $ztabla='lote';
//           $zmaxlen=20;
//           include('ele_input.php');
     }
     
     if($nser_ok==1)
     {
//           $zid='serie';
//           $zlabel='Serie';
//           $zvalue=$serie;
//           include('ele_input.php');
     }
     
     
     
     

     if($mrca_ok==1)
     {
//           $zid='';
//           $zlabel='Marca';
//           $zvalue=$mrca;
//           $ztabla='mrca';
//           $ztodo=1;
//           include('ele_select.php');
     }
     
}


$zid='detalle';
$zlabel='Notas';
$zwidth=25;    
$zrows=2;     
$zvalue=$detalle;
include('ele_input.php');
     

     
$zid='btn_grabar'; 
$zlabel='Grabar';
$zalign='right';
$zonclick='{save_docu(event);}';
include('ele_button.php');
     
     

$zobj=2;     
include('ele_break.php');

}
     
// TITULO     
     
     

}     
// include('ele_break.php');
echo '</div>';


// RESULTADO
echo '<div id="main2" >';

$sql_idx=1;

for($idx=1; $idx<=$sql_idx; $idx++)
{
     if(gettype($res_info)!='NULL')
     {
          $zreso=$res_info;
          $zinfo=$info;
          $zname=$zname;
          $zhead=0;
          $zgfsize=0.9;
//           $zblockrows=3;
//           $zheightrow='1.5em;';
          $zheightrow='3em;';
          $zblockidnum=1;
          include('ele_grid.php');     
          
//           if($info=='vtblog')
//           {if($idx<msql_num_rows($res_krdx)){echo '<div id="pgbreak" style="height:2em;"></div>';}}

     }
}     

echo '</div>';     

?>

<script>
function info_modu(event)
{
     var xhref='',dataget;
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
     
     dataget=new_FormData('filtros','get');
     xhref=xhref+dataget;

     document.getElementById("main2").innerHTML='Espere...';
     location.href=xhref;
     
}
</script>




<script>document.title="<?php echo $xtitle;?>"</script>
<script>document.getElementById('topcenter').innerHTML="<?php echo $xtopcenter;?>"</script>
<!-- <script>set_noback();</script> -->
<!-- <script>window.onbeforeunload = function(){return 'Are you sure you want to leave?';};</script> -->

